classification
Title: Update test coverage devguide page
Type: enhancement Stage: resolved
Components: Devguide Versions:
process
Status: closed Resolution: fixed
Dependencies: 11561 Superseder:
Assigned To: brett.cannon Nosy List: brett.cannon, d0ugal, eric.araujo, ezio.melotti, terry.reedy, tshepang
Priority: high Keywords: easy

Created on 2011-09-06 04:46 by brett.cannon, last changed 2012-11-14 18:31 by brett.cannon. This issue is now closed.

Messages (2)
msg143581 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2011-09-06 04:46
The devguide needs to be updated with new coverage.py instructions. It seems that the script in issue11561 has been integrated into coverage.py's own repo, which means we now have a way to get much more complete coverage of the stdlib. But it also means that users need to build the tracer extension in coverage.py. That might require a little extra hand-holding as compiling from a checkout can mean needing to unset CPPFLAGS in order to not pick up the system Python's header files.
msg175580 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2012-11-14 18:31
Committed in dac396a730e4
History
Date User Action Args
2012-11-14 18:31:44brett.cannonsetstatus: open -> closed
resolution: fixed
messages: + msg175580

stage: needs patch -> resolved
2012-11-09 13:19:45ezio.melottisetversions: - Python 3.3
2012-09-23 13:13:59ezio.melottisettype: enhancement
2012-07-07 08:18:40d0ugalsetnosy: + d0ugal
2012-06-08 12:38:40eli.benderskysetnosy: - eli.bendersky
2012-01-11 09:58:18tshepangsetnosy: + tshepang
2011-11-19 14:11:16ezio.melottisetnosy: + ezio.melotti
2011-11-19 14:10:26ezio.melottisetnosy: + terry.reedy, eric.araujo, eli.bendersky
2011-09-06 04:51:10brett.cannonlinkissue12908 dependencies
2011-09-06 04:47:02brett.cannonsetdependencies: + "coverage" of Python regrtest cannot see initial import of libs
2011-09-06 04:46:52brett.cannoncreate